aboutsummaryrefslogtreecommitdiff
path: root/debian/gnunet-server.postinst
diff options
context:
space:
mode:
authorBertrand Marc <beberking@gmail.com>2013-01-12 14:55:33 +0100
committerBertrand Marc <beberking@gmail.com>2013-01-27 12:42:04 +0100
commitc881d55786a72d310d47083973b91490651775aa (patch)
tree2375897eed87866b9b1a76fdf272faf6055805ad /debian/gnunet-server.postinst
parent663df7b8d5d2c40736944abf07f04bfdeba74d49 (diff)
Revert some of the previous changes to target wheezy.debian/0.9.3-5
Diffstat (limited to 'debian/gnunet-server.postinst')
-rw-r--r--debian/gnunet-server.postinst9
1 files changed, 4 insertions, 5 deletions
diff --git a/debian/gnunet-server.postinst b/debian/gnunet-server.postinst
index cc97f29..76fb9a8 100644
--- a/debian/gnunet-server.postinst
+++ b/debian/gnunet-server.postinst
@@ -79,26 +79,25 @@ case "${1}" in
chmod 0700 "${SERVICEHOME}" || true
# Restrict access on setuid binaries
for file in /usr/bin/gnunet-helper-exit \
+ /usr/bin/gnunet-helper-fs-publish \
/usr/bin/gnunet-helper-nat-client \
/usr/bin/gnunet-helper-nat-server \
/usr/bin/gnunet-helper-transport-wlan \
/usr/bin/gnunet-helper-vpn
do
# only do something when no setting exists
- if ! dpkg-statoverride --list $file >/dev/null 2>&1 && [ -e $file ]
+ if ! dpkg-statoverride --list $file >/dev/null 2>&1
then
chown root:${_GROUPNAME} $file
chmod 4754 $file
fi
done
- if ! dpkg-statoverride --list /usr/bin/gnunet-helper-dns >/dev/null 2>&1 \
- && [ -e /usr/bin/gnunet-helper-dns ]
+ if ! dpkg-statoverride --list /usr/bin/gnunet-helper-dns >/dev/null 2>&1
then
chown root:${GNUNETDNS_GROUP} /usr/bin/gnunet-helper-dns
chmod 4754 /usr/bin/gnunet-helper-dns
fi
- if ! dpkg-statoverride --list /usr/bin/gnunet-service-dns >/dev/null 2>&1 \
- && [ -e /usr/bin/gnunet-service-dns ]
+ if ! dpkg-statoverride --list /usr/bin/gnunet-service-dns >/dev/null 2>&1
then
chown ${_USERNAME}:${GNUNETDNS_GROUP} /usr/bin/gnunet-service-dns
chmod 2754 /usr/bin/gnunet-service-dns